Subject: qla3xxx: sleep in atomic

From: Jiri Slaby <[email-masked]>
Date: Wed, 13 Jan 2010 13:23:41 +0100

Hi,

stanse found a potential sleep inside atomic context. ql_sem_spinlock
must be called with hw_lock which is spinlock (locked with irq disabled
btw.), but ql_sem_spinlock calls ssleep when the HW spinlock cannot be
taken. Could you fix that somehow. E.g. unlock; sleep; lock; if not
called from irq context at all. Or alternatively lower the sleep
interval to usecs and use udelay as it seems it never trigerred (the hw
lock never failed), because people would get deadlocks otherwise.

regards,
-- 
js